/// <reference types="react" />
import PropTypes from "prop-types";
import { ColorType } from "../../typings";
declare type CardProps = {
    style?: object;
    children?: any;
    color?: ColorType;
};
declare const Card: {
    (props: CardProps): JSX.Element;
    defaultProps: {
        color: string;
    };
    propTypes: {
        style: PropTypes.Requireable<object>;
        children: PropTypes.Requireable<any>;
        color: PropTypes.Requireable<string>;
    };
};
export default Card;
