/// <reference types="react" />
import { ColorType } from "../../typings";
import PropTypes from 'prop-types';
declare type ExpansionPanelProps = {
    open?: boolean;
    color?: ColorType;
    children?: any;
    onClick?: (open: boolean) => {};
};
declare const ExpansionPanel: {
    (props: ExpansionPanelProps): JSX.Element;
    defaultProps: {
        color: string;
    };
    propTypes: {
        open: PropTypes.Requireable<boolean>;
        color: PropTypes.Requireable<string>;
        children: PropTypes.Requireable<any>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
    };
};
export default ExpansionPanel;
