/// <reference types="react" />
import { IconType, ColorType } from "../../typings";
import PropTypes from 'prop-types';
declare type IconProps = {
    name: IconType;
    color?: ColorType;
    size?: number;
};
declare const Icon: {
    (props: IconProps): JSX.Element;
    defaultProps: {
        color: string;
        size: number;
    };
    propTypes: {
        color: PropTypes.Requireable<string>;
        size: PropTypes.Requireable<number>;
        name: PropTypes.Validator<string>;
    };
};
export default Icon;
