/// <reference types="react" />
import { ColorType } from "../../typings";
import PropTypes from 'prop-types';
declare type RadioGroupProps = {
    children?: any;
    size?: "small" | "medium";
    fullWidth?: boolean;
    color?: ColorType;
    label?: string;
    value?: string;
    onChange?: (value: string) => {};
};
declare const RadioGroup: {
    (props: RadioGroupProps): JSX.Element;
    defaultProps: {
        size: string;
        color: string;
    };
    propTypes: {
        children: PropTypes.Requireable<any>;
        size: PropTypes.Requireable<string>;
        fullWidth: PropTypes.Requireable<boolean>;
        color: PropTypes.Requireable<string>;
        label: PropTypes.Requireable<string>;
        value: PropTypes.Requireable<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
};
export default RadioGroup;
