import { FC, ReactNode } from "react";
import { BasePlacement, VariationPlacement } from "@popperjs/core";
import { ColorType } from "../../typings";
export interface DropdownProps {
    children?: any;
    anchor?: ReactNode;
    width?: number | string;
    expand?: boolean;
    position?: BasePlacement | VariationPlacement;
    arrow?: boolean;
    visible?: boolean;
    color?: ColorType;
}
declare const Dropdown: FC<DropdownProps>;
export default Dropdown;
