/// <reference types="react" />
import PropTypes from "prop-types";
declare type ExpansionPanelSummaryProps = {
    children?: any;
    onClick?: () => {};
    open?: boolean;
    isExpansionSummary?: boolean;
};
declare const ExpansionPanelSummary: {
    (props: ExpansionPanelSummaryProps): JSX.Element;
    defaultProps: {
        isExpansionSummary: boolean;
    };
    propTypes: {
        children: PropTypes.Requireable<any>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        open: PropTypes.Requireable<boolean>;
    };
};
export default ExpansionPanelSummary;
