/// <reference types="react" />
import PropTypes from 'prop-types';
declare type ItemProps = {
    value: string;
    children?: string;
    onClick?: (value: any) => {};
};
declare const Item: {
    (props: ItemProps): JSX.Element;
    propTypes: {
        value: PropTypes.Validator<string>;
        children: PropTypes.Requireable<string>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
    };
};
export default Item;
