/// <reference types="react" />
import PropTypes from 'prop-types';
import { ColorType, SpinnerType } from '../../typings';
export declare type SpinnerProps = {
    size?: number;
    color?: ColorType;
    name: SpinnerType;
};
declare const Spinner: {
    (props: SpinnerProps): JSX.Element;
    defaultProps: {
        color: string;
        name: string;
        size: number;
    };
    propTypes: {
        color: PropTypes.Requireable<string>;
        name: PropTypes.Validator<string>;
        size: PropTypes.Requireable<number>;
    };
};
export default Spinner;
